unit closeappmain;

interface

uses
  Windows, Messages, SysUtils, Classes, HTTPApp;

type
  TWebModule1 = class(TWebModule)
    procedure WebModuleBeforeDispatch(Sender: TObject;
      Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  WebModule1: TWebModule1;

implementation

{$R *.DFM}
uses
  JonsMessages;

procedure TWebModule1.WebModuleBeforeDispatch(Sender: TObject;
  Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
var
  JM_CLOSE : Word;
begin
try
  Response.Content := 'Sending message';
  JM_CLOSE := GetMessageIdent(JonsClose);
  SendNotifyMessage(HWND_BROADCAST, JM_CLOSE, 0, 0);
  Response.Content := Response.Content + '<HR>Message Sent<hr>';
except
  on E :Exception do
    Response.Content := Response.Content + E.Message;
  end;
Response.SendResponse;
end;

end.
